## org.hibernate.envers.revisioninfo
Class RevisionInfoQueryCreator

    java.lang.Object
      org.hibernate.envers.revisioninfo.RevisionInfoQueryCreator

    public class RevisionInfoQueryCreator

extends Object

Author:
  Adam Warski (adam at warski dot org)

Constructor Summary
`RevisionInfoQueryCreator(String revisionInfoEntityName, String revisionInfoIdName, String revisionInfoTimestampName, boolean timestampAsDate)`

Method Summary
`Query` `getRevisionDateQuery(Session session, Number revision)`
`Query` `getRevisionNumberForDateQuery(Session session, Date date)`
`Query` `getRevisionsQuery(Session session, Set<Number> revisions)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RevisionInfoQueryCreator

    public RevisionInfoQueryCreator(String revisionInfoEntityName,
                                    String revisionInfoIdName,
                                    String revisionInfoTimestampName,
                                    boolean timestampAsDate)

Method Detail

### getRevisionDateQuery

    public Query getRevisionDateQuery(Session session,
                                      Number revision)

### getRevisionNumberForDateQuery

    public Query getRevisionNumberForDateQuery(Session session,
                                               Date date)

### getRevisionsQuery

    public Query getRevisionsQuery(Session session,
                                   Set<Number> revisions)

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.